import { Module } from '@nuxt/types';
import { DownloadOptions, GoogleFonts } from 'google-fonts-helper';

interface ModuleOptions extends Partial<DownloadOptions & GoogleFonts> {
    prefetch?: boolean;
    preconnect?: boolean;
    preload?: boolean;
    useStylesheet?: boolean;
    download?: boolean;
    inject?: boolean;
}
declare const CONFIG_KEY = "googleFonts";
declare const nuxtModule: Module<ModuleOptions>;
declare module '@nuxt/types' {
    interface NuxtConfig {
        [CONFIG_KEY]?: ModuleOptions;
    }
    interface Configuration {
        [CONFIG_KEY]?: ModuleOptions;
    }
}

export default nuxtModule;
export { ModuleOptions };
